PDA

View Full Version : your device is not compatible with this version



jesusgivesmelife
11-01-15, 07:38 AM
How I fix it

kooky panda
11-01-15, 11:43 AM
What specific device do you play on?

cookiemouse15
11-02-15, 09:23 AM
I have the same problem (with Fantasy Forest Story and Frozen Frenzy Mania). I have a Google Nexus 7 (2012) with Android 5.1.1.

[S8] Elsa
11-02-15, 10:52 AM
We apologize for the inconvenience. Some devices may not be compatible with the game on Android, generally due to a hardware incompatibility.

eldiri
11-02-15, 11:12 AM
I have the same problem (with Fantasy Forest Story and Frozen Frenzy Mania). I have a Google Nexus 7 (2012) with Android 5.1.1.

I am using the same device and have the same problem. Why would the hardware not be compatible? I can play every other S8 game. Is there no way to fix this?

eldiri
11-08-15, 04:05 PM
Can we get some kind of answer to this other than S8 doesn't care buy a new device? That's not feasible for a lot of people.